## com.google.appengine.api.datastore.dev
Class WriteLatencyAdjuster

    java.lang.Object
      com.google.appengine.api.datastore.dev.WriteLatencyAdjuster

    public class WriteLatencyAdjuster

extends java.lang.Object

`DynamicLatencyAdjuster` that adds the paxos penalty for writes and takes the fact that transactional puts and deletes are super-fast into account.

Constructor Summary
`WriteLatencyAdjuster()`

Method Summary
`int` `adjust(LocalRpcService service, java.lang.Object request, int latencyMs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WriteLatencyAdjuster

    public WriteLatencyAdjuster()

Method Detail

### adjust

    public int adjust(LocalRpcService service,
                      java.lang.Object request,
                      int latencyMs)